# Book Demo Distance 2019

~~~
dotnet tool install --global dotnet-aspnet-codegenerator
~~~

Install into WebApp (via nuget)
~~~
Microsoft.EntityFrameworkCore.Design
Microsoft.VisualStudio.Web.CodeGeneration.Design
Microsoft.EntityFrameworkCore.SqlServer
~~~

Add connection string to appsettings.json
~~~
  "ConnectionStrings": {
    "DefaultConnection": "Data Source=app.db"
  },
~~~


Add migration (execute in solution folder)
~~~
dotnet ef migrations add InitialDbCreation --project DAL --startup-project WebApp
~~~

Update or create DB
~~~
dotnet ef database update --project DAL --startup-project WebApp
~~~


Generate razor pages for CRUD
Execute in WebApp folder
~~~
dotnet aspnet-codegenerator razorpage -m Author -outDir Pages/Authors -dc AppDbContext -udl --referenceScriptLibraries -f
dotnet aspnet-codegenerator razorpage -m Book -outDir Pages/Books -dc AppDbContext -udl --referenceScriptLibraries -f
dotnet aspnet-codegenerator razorpage -m BookAuthor -outDir Pages/BookAuthors -dc AppDbContext -udl --referenceScriptLibraries -f
dotnet aspnet-codegenerator razorpage -m Comment -outDir Pages/Comments -dc AppDbContext -udl --referenceScriptLibraries -f
dotnet aspnet-codegenerator razorpage -m Publisher -outDir Pages/Publishers -dc AppDbContext -udl --referenceScriptLibraries -f
~~~
