using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.WebUtilities;

namespace WebApp.Pages
{
    public class FileUploadModel : PageModel
    {
        private readonly IWebHostEnvironment _env;

        public FileUploadModel(IWebHostEnvironment env)
        {
            _env = env;
        }

        [BindProperty]
        public IFormFile UploadFile { get; set; }
        
        public void OnGet()
        {
            
        }
        
        public async Task<ActionResult> OnPost()
        {
            if (UploadFile.Length > 0 &&
                new[] {".pdf", ".jpg", ".png"}.Any(x => x == Path.GetExtension(UploadFile.FileName)))
            {
                
                using (var fileStream = new FileStream(Path.Combine(_env.WebRootPath, "uploads/" + UploadFile.FileName), FileMode.Create))
                {
                    await UploadFile.CopyToAsync(fileStream);
                }


                return RedirectToPage("./FileUploads");
            }
            
            return Page();
        }
        
        
    }
}