using System.Collections.Generic;
using System.IO;
using System.Linq;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace WebApp.Pages
{
    public class FileUploadsModel : PageModel
    {
        private readonly IWebHostEnvironment _env;

        public FileUploadsModel(IWebHostEnvironment env)
        {
            _env = env;
        }

        public List<string> Files { get; set; } = new List<string>();

        public void OnGet()
        {
            foreach (var fullFileName in Directory.GetFiles(Path.Combine(_env.WebRootPath, "uploads")))
            {
                Files.Add(Path.GetFileName(fullFileName));
            }
        }
    }
}