using System.Collections.Generic;
using System.ComponentModel;
using System.Threading.Tasks;
using DAL;
using Domain;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;

namespace WebApp.Pages.Publishers
{
    public class EditAllModel : PageModel
    {
        private readonly DAL.AppDbContext _context;

        public EditAllModel(AppDbContext context)
        {
            _context = context;
        }

        [BindProperty] 
        public List<Publisher> Publishers { get; set; } = default!;
        
        public async Task OnGet()
        {
            Publishers = await _context.Publishers.ToListAsync();
        }

        public async Task<ActionResult> OnPost()
        {
            if (Publishers.Count > 0)
            {
                foreach (var publisher in Publishers)
                {
                    _context.Attach(publisher).State = EntityState.Modified;
                }
                await _context.SaveChangesAsync();
                
                return RedirectToPage("./Index");
            }

            return Page();
        }

    }
}